DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureMinimum

Measure the object's minimum coordinate value

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureMinimumID ( void )

## OUTPUT DATA TYPE

`dip_IntegerArray`, `dip_FloatArray`

## FUNCTION

`dip_FeatureMinimumID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the minimum coordinate value of each dimension of the object.

If a `dip_PhysicalDimensions` parameter is given to `Measure`, the minimum coordinate of the object is given in physical units, and is a `dip_FloatArray` rather than a `dip_IntegerArray`.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`